Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 488820 - Set @security causes a crash with 2.2.6 & 2.2.7
Summary: Set @security causes a crash with 2.2.6 & 2.2.7
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Interface (emerge) (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
: 508252 (view as bug list)
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2013-10-21 00:51 UTC by Andrew John Hughes
Modified: 2014-08-04 02:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew John Hughes 2013-10-21 00:51:31 UTC
# emerge -pv @security

These are the packages that would be merged, in order:

Calculating dependencies... done!
Traceback (most recent call last):
  File "/usr/bin/emerge", line 50, in <module>
    retval = emerge_main()
  File "/usr/lib64/portage/pym/_emerge/main.py", line 1031, in emerge_main
    return run_action(emerge_config)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 4062, in run_action
    emerge_config.args, spinner)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 320, in action_build
    settings, trees, myopts, myparams, myaction, myfiles, spinner)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 7908, in backtrack_depgraph
    myaction, myfiles, spinner)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 7940, in _backtrack_depgraph
    success, favorites = mydepgraph.select_files(myfiles)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 2632, in select_files
    return self._select_files(args)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 2759, in _select_files
    set_atoms = root_config.setconfig.getSetAtoms(s)
  File "/usr/lib64/portage/pym/portage/_sets/__init__.py", line 275, in getSetAtoms
    myatoms = myset.getAtoms()
  File "/usr/lib64/portage/pym/portage/_sets/base.py", line 64, in getAtoms
    self._load()
  File "/usr/lib64/portage/pym/portage/_sets/base.py", line 59, in _load
    self.load()
  File "/usr/lib64/portage/pym/portage/_sets/security.py", line 39, in load
    if self.useGlsa(myglsa):
  File "/usr/lib64/portage/pym/portage/_sets/security.py", line 82, in useGlsa
    return myglsa.isVulnerable()
  File "/usr/lib64/portage/pym/portage/glsa.py", line 663, in isVulnerable
    self.portdbapi, self.vardbapi))
  File "/usr/lib64/portage/pym/portage/glsa.py", line 392, in getMinUpgrade
    or (minimize ^ (vercmp(c.version, update.version) > 0))) \
AttributeError: 'str' object has no attribute 'version'
Comment 1 Andrew John Hughes 2013-10-21 00:52:06 UTC
[ebuild   R    ] sys-apps/portage-2.2.7  USE="doc epydoc (ipc) python3 (xattr) -build (-pypy2_0) -python2 (-selinux)" LINGUAS="-ru" PYTHON_TARGETS="python2_7 python3_3 (-pypy2_0) -python2_6 -python3_2 (-python3_4)" 0 kB
Comment 2 Sebastian Luther (few) 2013-11-26 12:26:49 UTC
Is your system affected by any glsa? If yes, which one? Which version of the affected packages is currently installed?
Comment 4 Sebastian Luther (few) 2014-04-26 17:43:53 UTC
*** Bug 508252 has been marked as a duplicate of this bug. ***
Comment 5 Brian Dolbec gentoo-dev 2014-08-04 02:07:29 UTC
released in portage-2.2.11